# azure.mgmt.resource.policy.v2016_12_01 package

## Submodules

- azure.mgmt.resource.policy.v2016_12_01.models module
- azure.mgmt.resource.policy.v2016_12_01.operations module

## Module contents

class `azure.mgmt.resource.policy.v2016_12_01.``PolicyClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  To manage and control access to your resources, you can define customized policies and assign them at a scope.

  Variables:

  - config (PolicyClientConfiguration) – Configuration for client.
  - policy_definitions (azure.mgmt.resource.policy.v2016_12_01.operations.PolicyDefinitionsOperations) – PolicyDefinitions operations
  - policy_assignments (azure.mgmt.resource.policy.v2016_12_01.operations.PolicyAssignmentsOperations) – PolicyAssignments operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL

class `azure.mgmt.resource.policy.v2016_12_01.``PolicyClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for PolicyClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL